#include<stdio.h>
#include<math.h>
main()
{
long long int L,R;
long long int k=0;
float p,q,r;
scanf("%f %f %f %lld %lld",&p,&q,&r,&L,&R);
float i;
for(i=L;i<=R;i++)
{
	if(ceil(i/p)+ceil(i/q)+ceil(i/r)<=i)
	k++;
}
printf("%lld",k);
}